#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.shared.common import IWfSharedContent
from pyams_sequence.interfaces import ISequentialIdInfo
from pyams_skin.layer import IPyAMSUserLayer
from pyams_utils.interfaces.url import IRelativeURL

# import packages
from pyams_utils.adapter import adapter_config, ContextRequestAdapter
from pyams_utils.url import absolute_url


@adapter_config(context=(IWfSharedContent, IPyAMSUserLayer), provides=IRelativeURL)
class SharedContentRelativeUrlAdapter(ContextRequestAdapter):
    """Shared content relative URL adapter"""

    def get_url(self, display_context=None, view_name=None, query=None):
        return absolute_url(display_context, self.request,
                            '++oid++{0}::{1}.html'.format(
                                ISequentialIdInfo(self.context).get_base_oid().strip(),
                                self.context.content_url))
